Overview
POST
/content/pollscontentCreate polls
Create a record in polls.
Auth: bearerAuth — calls run as the authenticated user.
Request body
application/json · optional
- deletedAtoptionalstring?
- ecosystemIdoptionalstring
- hostKindoptionalstring?
- hostIdoptionalstring?
- questionstring
- allowMultipleoptionalboolean
- expiresAtoptionalstring?
Example
{
"deletedAt": "string",
"ecosystemId": "string",
"hostKind": "string",
"hostId": "string",
"question": "string",
"allowMultiple": true,
"expiresAt": "string"
}Responses
201
polls
- idstring
- customerIdstring
- deletedAtstring?
- ecosystemIdstring
- hostKindstring?
- hostIdstring?
- questionstring
- allowMultipleboolean
- expiresAtstring?
- createdAtstring
- updatedAtstring
Example
{
"id": "string",
"customerId": "string",
"deletedAt": "string",
"ecosystemId": "string",
"hostKind": "string",
"hostId": "string",
"question": "string",
"allowMultiple": true,
"expiresAt": "string",
"createdAt": "string",
"updatedAt": "string"
}400
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}401
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}Code examples
cURL
curl -X POST "https://api.agenticdeveloperhub.com/content/polls" \
-H "Authorization: Bearer YOUR_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"deletedAt": "string",
"ecosystemId": "string",
"hostKind": "string",
"hostId": "string",
"question": "string",
"allowMultiple": true,
"expiresAt": "string"
}'JavaScript
const res = await fetch("https://api.agenticdeveloperhub.com/content/polls", {
method: "POST",
headers: {
"Authorization": "Bearer YOUR_TOKEN",
"Content-Type": "application/json"
},
body: "{\n \"deletedAt\": \"string\",\n \"ecosystemId\": \"string\",\n \"hostKind\": \"string\",\n \"hostId\": \"string\",\n \"question\": \"string\",\n \"allowMultiple\": true,\n \"expiresAt\": \"string\"\n}",
});
const data = await res.json();